summaryrefslogtreecommitdiffstats
path: root/Kübelwagen
diff options
context:
space:
mode:
authortv <tv@iiso>2011-10-10 17:54:14 +0200
committertv <tv@iiso>2011-10-10 17:54:14 +0200
commit90eb09e15b2af8f8aecc817d130fd2308ce03876 (patch)
tree1ad89311b31150d427f72050cf627fdc85e1fe25 /Kübelwagen
parent530ae97550d6ac60f562d8b585a9c39cb6b7d954 (diff)
//Kübelwagen/playmobil: initial commit
usage: playmobil CODE [t] where t defaults to 0
Diffstat (limited to 'Kübelwagen')
-rwxr-xr-xKübelwagen/playmobil12
1 files changed, 12 insertions, 0 deletions
diff --git a/Kübelwagen/playmobil b/Kübelwagen/playmobil
new file mode 100755
index 00000000..51ed70d6
--- /dev/null
+++ b/Kübelwagen/playmobil
@@ -0,0 +1,12 @@
+#! /bin/sh
+file=`mktemp`
+trap "rm -f $file" EXIT INT TERM
+
+gcc -xc -lm -o $file - <<EOF
+#include<math.h>
+main(t) {
+ for (t=${2-0};;++t) putchar($1);
+}
+EOF
+
+$file | aplay